<template>
  <v-select
    :items="priceListTypes"
    v-model="selectedValue"
    item-value="id"
    item-text="name"
    :label="label"
  />
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../plugins/api'
import { Component, Prop } from 'vue-property-decorator'
@Component({
  components: {},
})
export default class PriceListSelect extends Vue {
  @Prop({ required: true }) value
  @Prop({ type: String, default: 'Lista e Çmimeve' }) label

  priceListTypes = []
  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  mounted() {
    this.fetchPriceListTypes()
  }
  fetchPriceListTypes() {
    api()
      .get('/api/main/price-list-types')
      .then(response => {
        this.priceListTypes = response.data.data
      })
  }
}
</script>
